Subject: bug#27405: 25.2; Make eshell-next-prompt more reliable

From: Noam Postavsky <[email-masked]>
Date: Wed, 12 Jul 2017 15:26:07 -0400

On Wed, Jul 12, 2017 at 9:06 AM, Pierre Neidhardt <[email-masked]> wrote:
> Agreed.  If `eshell-highlight-prompt', then search for the first
> read-only text, otherwise search for the regexp (less reliable).  No
> need to bother with the regexp.  I don't think that anything but the
> prompt would be read-only, but I may be wrong.

Nothing else will be read-only by default, but I think it's safer not
to assume things will always be that way.